%define perl_version 5.8.7
%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

Summary: File::RsyncP is a perl implementation of an Rsync client 
Name: perl-file-rsyncp   
Version: 0.52
Release: 2tr
Group: Trustix Contrib
Source: http://search.cpan.org/CPAN/authors/id/C/CB/CBARRATT/File-RsyncP-%{version}.tar.gz 
URL:  http://search.cpan.org/dist/File-RsyncP/
License: GPL
BuildRequires: perl
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
File::RsyncP is a perl implementation of an Rsync client.  It is
compatible with Rsync 2.5.5 (protocol version 26).  It can send
or receive files, either by running rsync on the remote machine,
or connecting to an rsyncd deamon on the remote machine.

%prep
%setup -q -n File-RsyncP-%{version}


%build
perl Makefile.PL
make
make test

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT/usr/lib/perl5/5.8.7/i586-linux-thread-multi/perllocal.pod

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%doc Changes README
%attr(0755,root,root) %{siteperl}/i586-linux-thread-multi/
%{_mandir}/man3/File\:\:RsyncP*


%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Aug 17 2005 Nived Gopalan <nived at comodo dot com> 0.52-1tr
- Initial release
